| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiTest.LineSorter Class Reference

Special preprocessor sorting the list of strings (whitespace separated) that follow a signature on a single line. More...

Inheritance diagram for GaudiTest.LineSorter:
[legend]
Collaboration diagram for GaudiTest.LineSorter:
[legend]

## Public Member Functions
def | __init__ (self, signature)
def | __processLine__ (self, line)
Public Member Functions inherited from GaudiTest.FilePreprocessor
def | __processLine__ (self, line)
def | __call__ (self, input)
def | __add__ (self, rhs)

## Public Attributes
| signature
| siglen

## Detailed Description

Special preprocessor sorting the list of strings (whitespace separated) that follow a signature on a single line.

Definition at line 495 of file GaudiTest.py.

## Constructor & Destructor Documentation

def GaudiTest.LineSorter.__init__ | ( |  | self,
|  |  | signature
| ) |  |

Definition at line 496 of file GaudiTest.py.

496 def __init__(self, signature):
497 self.signature = signature
498 self.siglen = len(signature)
GaudiTest.LineSorter.__init__
def __init__(self, signature)
Definition: GaudiTest.py:496
GaudiTest.LineSorter.siglen
siglen
Definition: GaudiTest.py:498
GaudiTest.LineSorter.signature
signature
Definition: GaudiTest.py:497

## Member Function Documentation

def GaudiTest.LineSorter.__processLine__ | ( |  | self,
|  |  | line
| ) |  |

Definition at line 499 of file GaudiTest.py.

499 def __processLine__(self, line):
500 pos = line.find(self.signature)
501 if pos >=0:
502 line = line[:(pos+self.siglen)]
503 lst = line[(pos+self.siglen):].split()
504 lst.sort()
505 line += " ".join(lst)
506 return line
507
508 # Preprocessors for GaudiExamples
GaudiTest.LineSorter.siglen
siglen
Definition: GaudiTest.py:498
GaudiTest.LineSorter.__processLine__
def __processLine__(self, line)
Definition: GaudiTest.py:499
GaudiTest.LineSorter.signature
signature
Definition: GaudiTest.py:497

## Member Data Documentation

GaudiTest.LineSorter.siglen

Definition at line 498 of file GaudiTest.py.

GaudiTest.LineSorter.signature

Definition at line 497 of file GaudiTest.py.

The documentation for this class was generated from the following file:

- GaudiPolicy/qmtest_classes/GaudiTest.py